View Issue Details

IDProjectCategoryView StatusLast Update
0002379unrealircdpublic2015-08-09 15:28
Reporterron330Assigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-beta3 
Summary0002379: openssl issue: openssl version mismatch
DescriptionStarting UnrealIRCd
[!!!] OpenSSL version mismatch: compiled for 'OpenSSL 0.9.7c 30 Sep 2003', library is 'OpenSSL 0.9.7c-p1 30 Sep 2003'
[!!!] Header<->library mismatches can make UnrealIRCd *CRASH*! Make sure you don't have multiple versions of openssl or zlib installed (eg: one in /usr and one in /usr/local). And, if you recently upgraded them, be sure to recompile Unreal.
 _ _ _ ___________ _____ _
| | | | | |_ _| ___ \/ __ \ | |
| | | |_ __ _ __ ___ __ _| | | | | |_/ /| / \/ __| |
| | | | '_ \| '__/ _ \/ _` | | | | | / | | / _` |
| |_| | | | | | | __/ (_| | |_| |_| |\ \ | \__/\ (_| |
 \___/|_| |_|_| \___|\__,_|_|\___/\_| \_| \____/\__,_|
                           v3.2.2b
                     using TRE 0.7.0
                     using OpenSSL 0.9.7c 30 Sep 2003
                     using zlib 1.1.4
my provider has updated the openssl libary and the one for unreal is outta date and it's causing major problems
TagsNo tags attached.
3rd party modules

Relationships

child of 0003111 closed 3.2.7 Release 

Activities

codemastr

2005-02-28 20:16

reporter   ~0009372

Have you tried recompiling Unreal? (make clean && make)

ron330

2005-03-01 03:40

reporter   ~0009373

yup still does it i had to disable the ssl to get rid of the message

crazy

2005-03-01 04:26

reporter   ~0009375

Last edited: 2005-03-01 04:37

I know that warning :) (whit openssl and ziplib headers).Don't ask me why but you need to : make clean && ./Config (or ./Config -q) && make

*EDIT *blind* Don't do ./Config -q you have ssl disabled :o just ./Config *EDIT

syzop

2005-03-01 12:46

administrator   ~0009380

Last edited: 2005-03-01 12:46

(I typed a similar msg yesterday, but mantis was down and my browser did not let me resubmit my text)
Well..
'OpenSSL 0.9.7c 30 Sep 2003'
'OpenSSL 0.9.7c-p1 30 Sep 2003'
is not the same, hence the warning.

But *IN THIS PARTICULAR CASE* it is probably a harmless warning because the difference is at patch level (the -p1) there shouldn't be any binary incompatibilities introduced.
Of course, if you get something like 0.9.7c vs 0.9.7d, it's a different story and you should recompile then.
[I know, perhaps we should parse the version thing, but.. blah :P]

ron330

2005-03-01 13:01

reporter   ~0009381

yeah that's what i ended up doing was just disabling the sssl till i found out how to fix it right. i'll have to try the make clean && tonight and see if that fixes it.

ohnobinki

2010-07-16 18:43

reporter   ~0016213

So... the ``fix'' to this would be ignoring ``-p1'' from ssl's versioning values? Has anyone else ever encountered this problem recently?

From the number of years of no activity on this bug, I think that a change isn't needed.

syzop

2015-08-08 09:18

administrator   ~0018582

bump

syzop

2015-08-09 15:27

administrator   ~0018646

Updated/fixed in https://github.com/unrealircd/unrealircd/commit/a18596c9b5cf32eb99152c56428d73dca7fad6d2

OpenSSL has a new policy:

After the release of OpenSSL 1.0.0 the versioning scheme changed. Letter releases (e.g. 1.0.1a) can only contain bug and security fixes and no new features. Minor releases change the last number (e.g. 1.0.2) and can contain new features that retain binary compatibility. Changes to the middle number are considered major releases and neither source nor binary compatibility is guaranteed.

Issue History

Date Modified Username Field Change
2005-02-28 19:45 ron330 New Issue
2005-02-28 20:16 codemastr Note Added: 0009372
2005-03-01 03:40 ron330 Note Added: 0009373
2005-03-01 04:26 crazy Note Added: 0009375
2005-03-01 04:37 crazy Note Edited: 0009375
2005-03-01 12:46 syzop Note Added: 0009380
2005-03-01 12:46 syzop Note Edited: 0009380
2005-03-01 13:01 ron330 Note Added: 0009381
2005-03-01 16:13 syzop Severity major => tweak
2005-03-01 16:13 syzop Summary major openssl issue => openssl issue: openssl version mismatch
2006-11-12 14:34 syzop Status new => acknowledged
2006-11-12 14:34 syzop Relationship added child of 0003111
2006-11-16 15:21 aquanight Category documentation => ircd
2007-09-06 10:10 syzop Relationship added child of 0003454
2008-12-23 15:54 syzop Relationship deleted child of 0003454
2010-07-14 20:46 syzop Relationship added child of 0003776
2010-07-16 18:43 ohnobinki Note Added: 0016213
2010-09-06 10:19 syzop Relationship deleted child of 0003776
2015-08-08 09:18 syzop Note Added: 0018582
2015-08-09 15:27 syzop Note Added: 0018646
2015-08-09 15:27 syzop Status acknowledged => resolved
2015-08-09 15:27 syzop Fixed in Version => 3.4-beta3
2015-08-09 15:27 syzop Resolution open => fixed
2015-08-09 15:27 syzop Assigned To => syzop